---
title: Stop Message
description: Stops an in-flight assistant message generation. The agent aborts at the next safe point and the message is marked finished.
docs_index: /docs/llms.txt
lastUpdated: 2026-10-23
badge: "POST"
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Stops an in-flight assistant message generation. The agent aborts at the next safe point and the message is marked finished.

#### `POST /v2/chats/{chatId}/messages/{messageId}/stop`

## Usage

```typescript
import { v0 } from 'v0'

const result = await v0.messages.stop({
  chatId: 'chat_abc123',
  messageId: 'msg_xyz789',
})

console.log(result)
```

```bash
curl -X POST "https://api.v0.dev/v2/chats/chat_abc123/messages/chat_abc123/stop"   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"
```

## API Signature

### Request

#### Path Parameters

- `chatId: string` The unique identifier of the chat.
  - **Minimum length:** 1
- `messageId: string` The unique identifier of the assistant message to stop.
  - **Minimum length:** 1

### Response

- `messageId: string` The unique identifier of the stopped message.

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)